=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: cdbs, debhelper (>= 7.1), zlib1g-dev, help2man, quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/velvet/trunk/
