=== debian/changelog ===
velvet (1.1.02~nozlibcopy-1) unstable; urgency=low

  * New upstream version
    upgraded patches, tweak $(LIBS) into Z_LIB_FILES variable
    of Makefile which makes patch more robust against upstream
    changes
  * Debhelper 8 (control+compat)
  * debian/rules: Leave out Z_LIB_FILES in parameter list
  * debian/get-orig-source: Once we are rebuilding the original
    tarball anyway it makes sense to remove an outdated copy of
    MetaVelvet and replace it rather by a hint to the currently
    maintained source in README.source
  * Standards-Version: 3.9.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Apr 2011 10:51:16 +0200

velvet (1.0.18~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: Make sure MD5sum stays the same for different
    download

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jan 2011 08:48:19 +0100
