## velvet 1.1.06~nozlibcopy

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,7 @@
 CATEGORIES=2
 DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)
 
-Z_LIB_DIR=third-party/zlib-1.2.3
-Z_LIB_FILES=$(Z_LIB_DIR)/*.o
-
 # Mac OS users: uncomment the following lines
-# Z_LIB_FILES=
-# LDFLAGS = -lm -lz
 # CFLAGS = -Wall -m64
 
 # Sparc/Solaris users: uncomment the following line
@@ -20,16 +15,25 @@
 
 ifdef BIGASSEMBLY
 override DEF := $(DEF) -D BIGASSEMBLY
+endif
+
+ifdef VBIGASSEMBLY
+override DEF := $(DEF) -D BIGASSEMBLY -D VBIGASSEMBLY
 endif 	
+
 
 ifdef LONGSEQUENCES
 override DEF := $(DEF) -D LONGSEQUENCES
-endif 	
+endif
 
 # OpenMP 
 ifdef OPENMP
 override CFLAGS := $(CFLAGS) -fopenmp
-override DEF := $(DEF) -D OPENMP
+endif
+
+# Per library coverage
+ifdef SINGLE_COV_CAT
+override DEF := $(DEF) -D SINGLE_COV_CAT
 endif
 
 OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
@@ -37,17 +41,30 @@
 
 default : cleanobj zlib obj velveth velvetg doc
 
-clean :
+clean : clean-zlib
 	-rm obj/*.o obj/dbg/*.o ./velvet* 
-	cd $(Z_LIB_DIR) && make clean
 	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
 	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log
 
 cleanobj: 
 	-rm obj/*.o obj/dbg/*.o 
 
-zlib : 
+ifdef BUNDLEDZLIB
+Z_LIB_DIR=third-party/zlib-1.2.3
+Z_LIB_FILES=$(Z_LIB_DIR)/*.o
+override DEF := $(DEF) -D BUNDLEDZLIB
+
+zlib: 
 	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o
+
+clean-zlib :
+	cd $(Z_LIB_DIR) && make clean
+else
+Z_LIB_FILES=-lz
+
+zlib :
+clean-zlib :
+endif
 
 velveth : obj 
 	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES)
