=== debian/changelog ===
velvet (1.1.06~nozlibcopy-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
  * debian/copyright: Revised
  * debian/get-orig-source: Do not remove MetaVelvet
  * debian/control:
     Build-Depends: texlive-latex-base

  [ Charles Plessy ]
  * Corrected VCS URLs in debian/control.
  * Compress source and binary packages with xz
    (debian/rules, debian/get-orig-source).
  * Turn on multithreading with OpenMP (debian/rules).
  * Remove empty directory contrib/MetaVelvet-v0.3.1/obj (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 27 Sep 2011 15:12:41 +0900

velvet (1.1.05-1ubuntu4) lucid; urgency=low

  * Moved from CDBS to DH
  * New upstream.  Still includes a copy of Zlib but the default
    is now to use the system version, so removed relevant patch.
  * Modified build to work on unmodified upstream (still works on
    pruned upstream).

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 11 Aug 2011 13:34:46 +0100
